net.minecraftforge.event.entity.player

## Class PlayerEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent

- Direct Known Subclasses:
    ArrowLooseEvent, ArrowNockEvent, AttackEntityEvent, BonemealEvent, EntityInteractEvent, EntityItemPickupEvent, FillBucketEvent, ItemTooltipEvent, PlayerDestroyItemEvent, PlayerEvent.BreakSpeed, PlayerEvent.Clone, PlayerEvent.HarvestCheck, PlayerEvent.LoadFromFile, PlayerEvent.NameFormat, PlayerEvent.SaveToFile, PlayerEvent.StartTracking, PlayerEvent.StopTracking, PlayerFlyableFallEvent, PlayerInteractEvent, PlayerOpenContainerEvent, PlayerPickupXpEvent, PlayerSleepInBedEvent, PlayerUseItemEvent, RenderPlayerEvent, UseHoeEvent

      public class PlayerEvent
      extends LivingEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlayerEvent.BreakSpeed`
    `static class` | `PlayerEvent.Clone` Fired when the EntityPlayer is cloned, typically caused by the network sending a RESPAWN_PLAYER event.
    `static class` | `PlayerEvent.HarvestCheck`
    `static class` | `PlayerEvent.LoadFromFile` The player is being loaded from the world save.
    `static class` | `PlayerEvent.NameFormat`
    `static class` | `PlayerEvent.SaveToFile` The player is being saved to the world store.
    `static class` | `PlayerEvent.StartTracking` Fired when an Entity is started to be "tracked" by this player (the player receives updates about this entity, e.g.
    `static class` | `PlayerEvent.StopTracking` Fired when an Entity is stopped to be "tracked" by this player (the player no longer receives updates about this entity, e.g.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityPlayer` | `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerEvent(EntityPlayer player)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityPlayer

          public final EntityPlayer entityPlayer

  - ### Constructor Detail

    - #### PlayerEvent

          public PlayerEvent(EntityPlayer player)